<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.BizProjectRequirementsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.BizProjectRequirements">
        <id column="requirement_id" property="requirementId" />
        <result column="create_time" property="createTime" />
        <result column="requirement_name" property="requirementName" />
        <result column="requirement_code" property="requirementCode" />
        <result column="area_code" property="areaCode" />
        <result column="requirement_description" property="requirementDescription" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="priority" property="priority" />
        <result column="update_time" property="updateTime" />
        <result column="project_id" property="projectId" />
        <result column="employee_id" property="employeeId" />
        <result column="remark" property="remark" />
        <result column="requirements_status" property="requirementsStatus" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, requirement_id, requirement_name, requirement_code, area_code, requirement_description, start_time, end_time, priority, update_time, project_id, employee_id, remark, requirements_status, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
